Name:		qbrew
Version:	0.4.1
Release:	6.1%{?dist}
Summary:	A Brewing Recipe Calculator

Group:		Applications/Engineering
License:	BSD
URL:		http://www.usermode.org/code.html
Source0:	http://www.usermode.org/code/%name-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	qt-devel, desktop-file-utils

%description
QBrew is a homebrewer's recipe calculator. You can create and modify
ale and lager recipes as well as calculate gravity, color, and
bitterness. QBrew includes a database of styles, grains, hops, and
miscellaneous ingredients, plus a brewing tutorial.

%prep
%setup -q
find src -type f -exec chmod 0644 {} \;

%build
# qbrew expects the docs to be %{_prefix}/share/doc/qbrew,
# NOT .../doc/qbrew-%{version}
%{_configure} --prefix=%{_prefix} \
	      --bindir=%{_bindir} \
	      --datadir=%{_datadir}/%{name} \
	      --docdir=%{_defaultdocdir}/%{name}
%{__make} %{?_smp_mflags}

(
cat <<EODESKTOP
[Desktop Entry]
Name=Qbrew
GenericName=Qbrew
Comment=%{summary}
Exec=qbrew
Icon=qbrew
Terminal=false
Type=Application
Categories=Amusement;
EODESKTOP
) > %{name}.desktop

# create translation files
for ts in translations/*.ts; do
    %{_qt4_bindir}/lrelease ${ts}
done

%install
rm -rf ${RPM_BUILD_ROOT}
make install INSTALL_ROOT=${RPM_BUILD_ROOT}

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp pics/%{name}.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-install \
   --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
   %{name}.desktop

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datarootdir}/%{name}/translations
cp translations/*.ts translations/*.qm \
   ${RPM_BUILD_ROOT}%{_datarootdir}/%{name}/translations

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datarootdir}/%{name}
%{_defaultdocdir}/%{name}

%doc AUTHORS ChangeLog TODO *.qbrew LICENSE README

%changelog
* Thu Oct 29 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-6.1
- Incremented release to fix problem tagging release in CVS

* Wed Oct  7 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-6
- Cleaned up changelog (https://bugzilla.redhat.com/show_bug.cgi?id=524107#c13)
- Did the right thing with LICENSE and README (also comment 13)

* Tue Oct  6 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-5
- Simplified addition of %%doc files
- Removed help files from %%doc, since they're required to make qbrew work
- Moved help files to /usr/share/doc/qbrew/, where qbrew expects them to be
  (https://bugzilla.redhat.com/show_bug.cgi?id=524107#c9)

* Mon Sep 28 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-4
- Build and install translations

* Wed Sep 23 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-3
- Added sample .qbrew files to %%doc
  (https://bugzilla.redhat.com/show_bug.cgi?id=524107#c8)

* Fri Sep 18 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-2
- Fixed a vast array of issues
  (https://bugzilla.redhat.com/show_bug.cgi?id=524107#c2)

* Thu Sep 17 2009 Chris St. Pierre <chris.a.st.pierre@gmail.com> - 0.4.1-1
- Converted specfile from SuSE
